<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE qml SYSTEM "/wt/query/qml/qml.dtd">
<qml bypassAccessControl="true" legacyMode="false">
    <parameter name="CAD Doc Number like (case sensitive)" type="java.lang.String">
        <parameterDefault isMacro="false">987*</parameterDefault>
    </parameter>
    <statement>
        <query>
            <select distinct="true" group="true">
                <column alias="EPMSep Family Table"
                    heading="Family Table ID"
                    propertyName="persistInfo.objectIdentifier.id" type="long">thePersistInfo.theObjectIdentifier.id</column>
                <object alias="Generic" heading="Generic Number" propertyName=""/>
                <object alias="Generic" heading="Generic Rev" propertyName="versionDisplayIdentifier">
                    <property name="versionDisplayIdentifier"/>
                </object>
                <column alias="Instance" heading="Instance Number"
                    propertyName="number" type="java.lang.String">master&gt;number</column>
                <object alias="Instance" heading="Instance Rev" propertyName="versionDisplayIdentifier">
                    <property name="versionDisplayIdentifier"/>
                </object>
            </select>
            <from>
                <table alias="EPMSep Family Table">wt.epm.familytable.EPMSepFamilyTable</table>
                <table alias="Generic">wt.epm.EPMDocument</table>
                <table alias="Instance">wt.epm.EPMDocument</table>
            </from>
            <where>
                <compositeCondition type="and">
                    <condition>
                        <operand>
                            <column alias="Generic" heading="Number"
                                propertyName="number" type="java.lang.String">master&gt;number</column>
                        </operand>
                        <operator type="like"/>
                        <operand>
                            <parameterTarget name="CAD Doc Number like (case sensitive)"/>
                        </operand>
                    </condition>
                    <condition>
                        <operand>
                            <column alias="Generic"
                                heading="Latest Iteration"
                                propertyName="latestIteration" type="boolean">iterationInfo.latest</column>
                        </operand>
                        <operator type="equal"/>
                        <operand>
                            <constant heading="1" isMacro="false"
                                type="java.lang.Object" xml:space="preserve">1</constant>
                        </operand>
                    </condition>
                    <condition>
                        <operand>
                            <column alias="Generic"
                                heading="Family Table Status"
                                propertyName="familyTableStatus" type="int">familyTableStatus</column>
                        </operand>
                        <operator type="equal"/>
                        <operand>
                            <constant heading="2" isMacro="false"
                                type="java.lang.Object" xml:space="preserve">2</constant>
                        </operand>
                    </condition>
                    <condition>
                        <operand>
                            <column alias="Instance"
                                heading="Version (versionIdentifier).Version Sort Id"
                                propertyName="versionIdentifier.versionSortId" type="java.lang.String">versionInfo.identifier.versionSortId</column>
                        </operand>
                        <operator type="notEqual"/>
                        <operand>
                            <column alias="Generic"
                                heading="Version (versionIdentifier).Version Sort Id"
                                propertyName="versionIdentifier.versionSortId" type="java.lang.String">versionInfo.identifier.versionSortId</column>
                        </operand>
                    </condition>
                    <condition>
                        <operand>
                            <column alias="Generic"
                                heading="Branch Identifier"
                                propertyName="branchIdentifier" type="long">iterationInfo.branchId</column>
                        </operand>
                        <inOperator type="in"/>
                        <inOperand>
                            <subQuery>
                                <subQuerySelect>
                                    <function heading="Maximum"
                                    name="MAX" type="long">
                                    <column alias="Generic"
                                    heading="Branch Identifier"
                                    propertyName="branchIdentifier" type="long">iterationInfo.branchId</column>
                                    </function>
                                </subQuerySelect>
                                <from>
                                    <table alias="EPM Document">wt.epm.EPMDocument</table>
                                </from>
                                <where>
                                    <compositeCondition type="and">
                                    <condition>
                                    <operand>
                                    <column alias="Generic"
                                    heading="Master Reference.Object Id.Id"
                                    propertyName="masterReference.objectId.id" type="long">masterReference.key.id</column>
                                    </operand>
                                    <operator type="equal"/>
                                    <operand>
                                    <column
                                    alias="EPM Document"
                                    heading="Master Reference.Object Id.Id"
                                    propertyName="masterReference.objectId.id" type="long">masterReference.key.id</column>
                                    </operand>
                                    </condition>
                                    </compositeCondition>
                                </where>
                            </subQuery>
                        </inOperand>
                    </condition>
                    <condition>
                        <operand>
                            <column alias="Instance"
                                heading="Branch Identifier"
                                propertyName="branchIdentifier" type="long">iterationInfo.branchId</column>
                        </operand>
                        <inOperator type="in"/>
                        <inOperand>
                            <subQuery>
                                <subQuerySelect>
                                    <function heading="Maximum"
                                    name="MAX" type="long">
                                    <column alias="EPM Document 1"
                                    heading="Branch Identifier"
                                    propertyName="branchIdentifier" type="long">iterationInfo.branchId</column>
                                    </function>
                                </subQuerySelect>
                                <from>
                                    <table alias="EPM Document 1">wt.epm.EPMDocument</table>
                                </from>
                                <where>
                                    <compositeCondition type="and">
                                    <condition>
                                    <operand>
                                    <column alias="Instance"
                                    heading="Master Reference.Object Id.Id"
                                    propertyName="masterReference.objectId.id" type="long">masterReference.key.id</column>
                                    </operand>
                                    <operator type="equal"/>
                                    <operand>
                                    <column
                                    alias="EPM Document 1"
                                    heading="Master Reference.Object Id.Id"
                                    propertyName="masterReference.objectId.id" type="long">masterReference.key.id</column>
                                    </operand>
                                    </condition>
                                    </compositeCondition>
                                </where>
                            </subQuery>
                        </inOperand>
                    </condition>
                    <condition>
                        <operand>
                            <column alias="Instance"
                                heading="Latest Iteration"
                                propertyName="latestIteration" type="boolean">iterationInfo.latest</column>
                        </operand>
                        <operator type="equal"/>
                        <operand>
                            <constant heading="1" isMacro="false"
                                type="java.lang.Object" xml:space="preserve">1</constant>
                        </operand>
                    </condition>
                </compositeCondition>
            </where>
            <orderBy>
                <orderByItem>
                    <columnTarget heading="Family Table ID"/>
                </orderByItem>
                <orderByItem>
                    <columnTarget heading="Instance Number"/>
                </orderByItem>
            </orderBy>
            <linkJoin>
                <join name="wt.epm.structure.EPMContainedIn">
                    <aliasTarget alias="Generic"/>
                    <aliasTarget alias="EPMSep Family Table"/>
                </join>
                <join name="wt.epm.structure.EPMContainedIn">
                    <aliasTarget alias="Instance"/>
                    <aliasTarget alias="EPMSep Family Table"/>
                </join>
            </linkJoin>
        </query>
    </statement>
</qml>
